%define	version	0.8.18

Name:		globulation2
Version:	%{version}
Release:	1mdk
Group:		Games/Strategy
Distribution:	Mandriva Linux
Vendor:		Mandriva
Packager:	Kieran <kieran776@gmail.com>
URL:		http://www.globulation2.org/
Summary:	Globulation 2 - Free software RTS game with a new take on micro-management
License:	GPL

Source0:	glob2-%{version}.tar.bz
BuildRequires:	autoconf2.5 freetype-devel SDL-devel SDL_net-devel
BuildRequires:	SDL_image-devel SDL_ttf-devel speex-devel libxorg-x11-devel
BuildRequires:	oggvorbis-devel zlib-devel boost-devel
BuildRoot:	%{_tmppath}/globulation2-%{version}-1mdk-buildroot

%description
Globulation is an innovative Real-Time Strategy (RTS) game which
reduces micro-management by automatically assigning tasks to units.
Glob2 is Free Software, licensed and distributed under the GNU General
Public License.

Globulation brings a new type of gameplay to RTS games. The player
chooses the number of units to assign to various tasks, and the units
do their best to satisfy the requests. This allows players to manage
more units and focus on strategy rather than individual unit's jobs.

Globulation also features AI allowing single-player games or any
possible combination of human-computer teams. Also included is a
scripting language for versatile gameplay or tutorials and an
integrated map editor.

Globulation can be played in single player mode, through your local
network, or over the Internet with Ysagoon Online Gaming (YOG).

%prep
%setup -q -n glob2

%build
rm -f missing
aclocal
autoheader
automake --add-missing
autoconf-2.5x
%configure2_5x	--bindir=%{_gamesbindir} \
		--datadir=%{_gamesdatadir} \
CPPFLAGS="`pkg-config --cflags speex`"
%make

%install
rm -rf $RPM_BUILD_ROOT

%{makeinstall_std}
tar xjf %{SOURCE0} -C %{buildroot}%{_gamesdatadir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS README TODO COPYING
%attr(755,root,root) %{_gamesbindir}/glob2
%dir %{_gamesdatadir}/glob2
%{_gamesdatadir}/glob2/*
%{_gamesdatadir}/applications/glob2.desktop
%{_gamesdatadir}/pixmaps/glob2-icon-128x128.png
%{_gamesdatadir}/pixmaps/glob2-icon-16x16.png
%{_gamesdatadir}/pixmaps/glob2-icon-24x24.png
%{_gamesdatadir}/pixmaps/glob2-icon-32x32.png
%{_gamesdatadir}/pixmaps/glob2-icon-48x48.png
%{_gamesdatadir}/pixmaps/glob2-icon-64x64.png


%changelog
* Thu Mar 05 2006 Kieran <kieran776@gmail.com> 0.8.18-1mdk
- First RPM for Mandriva. Report any bugs here: http://savannah.nongnu.org/bugs/?func=additem&group=glob2
- Installs Globulation 2, Alpha 18 (0.8.18)